aagc.vo

## Class Ricetta

- java.lang.Object
- - aagc.vo.Ricetta

-     public class Ricetta
      extends java.lang.Object

  Classe Java per ricetta complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="ricetta">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="annoElaborazione">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codEsenzione">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z0-9]+"/>
                     <maxLength value="6"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codFarmacia">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="4"/>
                     <pattern value="[0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codFiscaleAssistito" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="([a-zA-Z]{6}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{3}[a-zA-Z]{1}|[0-9]{11})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codFiscalePrescrittore" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="([a-zA-Z]{6}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{3}[a-zA-Z]{1}|[0-9]{11})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataEmissione">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataErogazione">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="elencoFarmaciErogati">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="farmaco" type="{http://www.nsisr.puglia.it/Schemas/}farmacoErogato" maxOccurs="6"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="idPrescrizione">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="15"/>
                     <pattern value="[a-zA-Z0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impGalenico" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="([\-]?[0-9]+(,[0-9]{1,3})?)?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impLordo">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[\-]?[0-9]+(,[0-9]{1,3})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impSconto">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[\-]?[0-9]+(,[0-9]{1,3})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impTicket">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[\-]?[0-9]+(,[0-9]{1,3})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="meseElaborazione">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0?[1-9]|1[012]){1}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="tipoDCR">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(1|3|4|5|6|7|8|9|13|15)"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Ricetta.ElencoFarmaciErogati` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `annoElaborazione`
    `protected java.lang.String` | `codEsenzione`
    `protected java.lang.String` | `codFarmacia`
    `protected java.lang.String` | `codFiscaleAssistito`
    `protected java.lang.String` | `codFiscalePrescrittore`
    `protected java.lang.String` | `dataEmissione`
    `protected java.lang.String` | `dataErogazione`
    `protected Ricetta.ElencoFarmaciErogati` | `elencoFarmaciErogati`
    `protected java.lang.String` | `idPrescrizione`
    `protected java.lang.String` | `impGalenico`
    `protected java.lang.String` | `impLordo`
    `protected java.lang.String` | `impSconto`
    `protected java.lang.String` | `impTicket`
    `protected java.lang.String` | `meseElaborazione`
    `protected java.lang.String` | `tipoDCR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ricetta()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAnnoElaborazione()` Recupera il valore della proprietà annoElaborazione.
    `java.lang.String` | `getCodEsenzione()` Recupera il valore della proprietà codEsenzione.
    `java.lang.String` | `getCodFarmacia()` Recupera il valore della proprietà codFarmacia.
    `java.lang.String` | `getCodFiscaleAssistito()` Recupera il valore della proprietà codFiscaleAssistito.
    `java.lang.String` | `getCodFiscalePrescrittore()` Recupera il valore della proprietà codFiscalePrescrittore.
    `java.lang.String` | `getDataEmissione()` Recupera il valore della proprietà dataEmissione.
    `java.lang.String` | `getDataErogazione()` Recupera il valore della proprietà dataErogazione.
    `Ricetta.ElencoFarmaciErogati` | `getElencoFarmaciErogati()` Recupera il valore della proprietà elencoFarmaciErogati.
    `java.lang.String` | `getIdPrescrizione()` Recupera il valore della proprietà idPrescrizione.
    `java.lang.String` | `getImpGalenico()` Recupera il valore della proprietà impGalenico.
    `java.lang.String` | `getImpLordo()` Recupera il valore della proprietà impLordo.
    `java.lang.String` | `getImpSconto()` Recupera il valore della proprietà impSconto.
    `java.lang.String` | `getImpTicket()` Recupera il valore della proprietà impTicket.
    `java.lang.String` | `getMeseElaborazione()` Recupera il valore della proprietà meseElaborazione.
    `java.lang.String` | `getTipoDCR()` Recupera il valore della proprietà tipoDCR.
    `void` | `setAnnoElaborazione(java.lang.String value)` Imposta il valore della proprietà annoElaborazione.
    `void` | `setCodEsenzione(java.lang.String value)` Imposta il valore della proprietà codEsenzione.
    `void` | `setCodFarmacia(java.lang.String value)` Imposta il valore della proprietà codFarmacia.
    `void` | `setCodFiscaleAssistito(java.lang.String value)` Imposta il valore della proprietà codFiscaleAssistito.
    `void` | `setCodFiscalePrescrittore(java.lang.String value)` Imposta il valore della proprietà codFiscalePrescrittore.
    `void` | `setDataEmissione(java.lang.String value)` Imposta il valore della proprietà dataEmissione.
    `void` | `setDataErogazione(java.lang.String value)` Imposta il valore della proprietà dataErogazione.
    `void` | `setElencoFarmaciErogati(Ricetta.ElencoFarmaciErogati value)` Imposta il valore della proprietà elencoFarmaciErogati.
    `void` | `setIdPrescrizione(java.lang.String value)` Imposta il valore della proprietà idPrescrizione.
    `void` | `setImpGalenico(java.lang.String value)` Imposta il valore della proprietà impGalenico.
    `void` | `setImpLordo(java.lang.String value)` Imposta il valore della proprietà impLordo.
    `void` | `setImpSconto(java.lang.String value)` Imposta il valore della proprietà impSconto.
    `void` | `setImpTicket(java.lang.String value)` Imposta il valore della proprietà impTicket.
    `void` | `setMeseElaborazione(java.lang.String value)` Imposta il valore della proprietà meseElaborazione.
    `void` | `setTipoDCR(java.lang.String value)` Imposta il valore della proprietà tipoDCR.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### annoElaborazione

          protected java.lang.String annoElaborazione

    - #### codEsenzione

          protected java.lang.String codEsenzione

    - #### codFarmacia

          protected java.lang.String codFarmacia

    - #### codFiscaleAssistito

          protected java.lang.String codFiscaleAssistito

    - #### codFiscalePrescrittore

          protected java.lang.String codFiscalePrescrittore

    - #### dataEmissione

          protected java.lang.String dataEmissione

    - #### dataErogazione

          protected java.lang.String dataErogazione

    - #### elencoFarmaciErogati

          protected Ricetta.ElencoFarmaciErogati elencoFarmaciErogati

    - #### idPrescrizione

          protected java.lang.String idPrescrizione

    - #### impGalenico

          protected java.lang.String impGalenico

    - #### impLordo

          protected java.lang.String impLordo

    - #### impSconto

          protected java.lang.String impSconto

    - #### impTicket

          protected java.lang.String impTicket

    - #### meseElaborazione

          protected java.lang.String meseElaborazione

    - #### tipoDCR

          protected java.lang.String tipoDCR

  - ### Constructor Detail

    - #### Ricetta

          public Ricetta()

  - ### Method Detail

    - #### getAnnoElaborazione

          public java.lang.String getAnnoElaborazione()

      Recupera il valore della proprietà annoElaborazione.
      Returns:
        possible object is `String`

    - #### setAnnoElaborazione

          public void setAnnoElaborazione(java.lang.String value)

      Imposta il valore della proprietà annoElaborazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodEsenzione

          public java.lang.String getCodEsenzione()

      Recupera il valore della proprietà codEsenzione.
      Returns:
        possible object is `String`

    - #### setCodEsenzione

          public void setCodEsenzione(java.lang.String value)

      Imposta il valore della proprietà codEsenzione.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodFarmacia

          public java.lang.String getCodFarmacia()

      Recupera il valore della proprietà codFarmacia.
      Returns:
        possible object is `String`

    - #### setCodFarmacia

          public void setCodFarmacia(java.lang.String value)

      Imposta il valore della proprietà codFarmacia.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodFiscaleAssistito

          public java.lang.String getCodFiscaleAssistito()

      Recupera il valore della proprietà codFiscaleAssistito.
      Returns:
        possible object is `String`

    - #### setCodFiscaleAssistito

          public void setCodFiscaleAssistito(java.lang.String value)

      Imposta il valore della proprietà codFiscaleAssistito.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodFiscalePrescrittore

          public java.lang.String getCodFiscalePrescrittore()

      Recupera il valore della proprietà codFiscalePrescrittore.
      Returns:
        possible object is `String`

    - #### setCodFiscalePrescrittore

          public void setCodFiscalePrescrittore(java.lang.String value)

      Imposta il valore della proprietà codFiscalePrescrittore.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataEmissione

          public java.lang.String getDataEmissione()

      Recupera il valore della proprietà dataEmissione.
      Returns:
        possible object is `String`

    - #### setDataEmissione

          public void setDataEmissione(java.lang.String value)

      Imposta il valore della proprietà dataEmissione.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataErogazione

          public java.lang.String getDataErogazione()

      Recupera il valore della proprietà dataErogazione.
      Returns:
        possible object is `String`

    - #### setDataErogazione

          public void setDataErogazione(java.lang.String value)

      Imposta il valore della proprietà dataErogazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getElencoFarmaciErogati

          public Ricetta.ElencoFarmaciErogati getElencoFarmaciErogati()

      Recupera il valore della proprietà elencoFarmaciErogati.
      Returns:
        possible object is `Ricetta.ElencoFarmaciErogati`

    - #### setElencoFarmaciErogati

          public void setElencoFarmaciErogati(Ricetta.ElencoFarmaciErogati value)

      Imposta il valore della proprietà elencoFarmaciErogati.
      Parameters:
        `value` - allowed object is `Ricetta.ElencoFarmaciErogati`

    - #### getIdPrescrizione

          public java.lang.String getIdPrescrizione()

      Recupera il valore della proprietà idPrescrizione.
      Returns:
        possible object is `String`

    - #### setIdPrescrizione

          public void setIdPrescrizione(java.lang.String value)

      Imposta il valore della proprietà idPrescrizione.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpGalenico

          public java.lang.String getImpGalenico()

      Recupera il valore della proprietà impGalenico.
      Returns:
        possible object is `String`

    - #### setImpGalenico

          public void setImpGalenico(java.lang.String value)

      Imposta il valore della proprietà impGalenico.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpLordo

          public java.lang.String getImpLordo()

      Recupera il valore della proprietà impLordo.
      Returns:
        possible object is `String`

    - #### setImpLordo

          public void setImpLordo(java.lang.String value)

      Imposta il valore della proprietà impLordo.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpSconto

          public java.lang.String getImpSconto()

      Recupera il valore della proprietà impSconto.
      Returns:
        possible object is `String`

    - #### setImpSconto

          public void setImpSconto(java.lang.String value)

      Imposta il valore della proprietà impSconto.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpTicket

          public java.lang.String getImpTicket()

      Recupera il valore della proprietà impTicket.
      Returns:
        possible object is `String`

    - #### setImpTicket

          public void setImpTicket(java.lang.String value)

      Imposta il valore della proprietà impTicket.
      Parameters:
        `value` - allowed object is `String`

    - #### getMeseElaborazione

          public java.lang.String getMeseElaborazione()

      Recupera il valore della proprietà meseElaborazione.
      Returns:
        possible object is `String`

    - #### setMeseElaborazione

          public void setMeseElaborazione(java.lang.String value)

      Imposta il valore della proprietà meseElaborazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getTipoDCR

          public java.lang.String getTipoDCR()

      Recupera il valore della proprietà tipoDCR.
      Returns:
        possible object is `String`

    - #### setTipoDCR

          public void setTipoDCR(java.lang.String value)

      Imposta il valore della proprietà tipoDCR.
      Parameters:
        `value` - allowed object is `String`